Peter_D_Hedin
Posts: 5
Joined: Tue Sep 10, 2019 2:21 pm

Trouble with update on Raspberry Pi 4

Wed Sep 11, 2019 5:26 am

When I update I get this error:

E: Repository 'http://raspbian.raspberrypi.org/raspbian buster InRelease' changed its 'Suite' value from 'testing' to 'stable'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.

What should I do to fix it?

fruitoftheloom
Posts: 21647
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: Trouble with update on Raspberry Pi 4

Wed Sep 11, 2019 5:31 am

Peter_D_Hedin wrote:
Wed Sep 11, 2019 5:26 am
When I update I get this error:

E: Repository 'http://raspbian.raspberrypi.org/raspbian buster InRelease' changed its 'Suite' value from 'testing' to 'stable'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.

What should I do to fix it?

Use apt instead of apt-get and you will get a Y/n question, type Y and press ENTER

Code: Select all

sudo apt update
sudo apt full-upgrade
sudo reboot

It is because you are using the first Buster Release image which was pre-release....
Last edited by fruitoftheloom on Wed Sep 11, 2019 5:53 am, edited 3 times in total.
Retired disgracefully.....
......to a more gentile life !

Peter_D_Hedin
Posts: 5
Joined: Tue Sep 10, 2019 2:21 pm

Re: Trouble with update on Raspberry Pi 4

Wed Sep 11, 2019 5:44 am

Problem solved. I use sudo apt instead of sudo apt-get.

Return to “Troubleshooting”